#
# spec file for package soundtouch
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 1
Name:           soundtouch
Version:        2.0.0
Release:        0
Summary:        Audio Processing Library
License:        LGPL-2.1-or-later
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Url:            https://www.surina.net/soundtouch
Source:         https://www.surina.net/soundtouch/%{name}-%{version}.tar.gz
Source1:        https://salsa.debian.org/multimedia-team/soundtouch/raw/master/debian/soundstretch.1
Source99:       baselibs.conf
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
SoundTouch is a C++ audio processing library that allows
changing the sound tempo, pitch and playback rate parameters
independently from each other.

* Implements time stretch, pitch shift and sample rate transposing
  routines.
* Supports the 16-bit integer or 32-bit floating point
  PCM mono/stereo formats.
* Capable of real-time audio stream processing (depending on hardware).
* Additional use of assembler level and Intel MMX instruction sets.

%package -n libSoundTouch%{sover}
Summary:        Audio Processing Library
Group:          System/Libraries

%description -n libSoundTouch%{sover}
SoundTouch is a C++ audio processing library that allows
changing the sound tempo, pitch and playback rate parameters
independently from each other.

%package devel
Summary:        Development files for the SoundTouch audio processing library
Group:          Development/Languages/C and C++
Requires:       glibc-devel
Requires:       libSoundTouch%{sover} = %{version}

%description devel
SoundTouch is a C++ audio processing library that allows
changing the sound tempo, pitch and playback rate parameters
independently from each other.

This subpackage contains the header files for building programs with
SoundTouch.

%prep
%setup -q -n %{name}
tr -d '\r' <README.html >README.html~
touch -r README.html README.html~
mv README.html~ README.html

%build
./bootstrap
%configure \
	--enable-shared \
	--disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
# Add man page for soundstretch generated by help2man
mkdir -p %{buildroot}%{_mandir}/man1
cp %{SOURCE1} %{buildroot}%{_mandir}/man1

rm -fr %{buildroot}%{_datadir}/doc/%{name}

%post -n libSoundTouch%{sover} -p /sbin/ldconfig
%postun -n libSoundTouch%{sover} -p /sbin/ldconfig

%files
%{_bindir}/*
%{_mandir}/man1/*

%files -n libSoundTouch%{sover}
%license COPYING.TXT
%{_libdir}/libSoundTouch.so.%{sover}*

%files devel
%{_datadir}/aclocal/*.m4
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
